/**
 * @brief           leds management
 * @file            websampling.h
 * @author          <a href=""DOM-IP</a>
 * @dependencies    none
 * @compiler        MPLAB C18 v2.10 or higher <br>
 *                  HITECH PICC-18 V8.35PL3 or higher
 *
 * @section description Description
 **********************************
 * This module contains functions used for the leds management of evaluation boards
 *
 *********************************************************************/

 /*********************************************************************
 * Software License Agreement
 *
 * The software supplied herewith is owned by Dom-IP, and is
 * protected under applicable copyright laws.  The code may
 * be modified and can be used free of charge for commercial and non commercial
 * applications. All rights are reserved. Any use in violation of the foregoing
 * restrictions may subject the user to criminal sanctions under applicable laws,
 * as well as to civil liability for the breach of the terms and conditions of this license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN 'AS IS' CONDITION. NO WARRANTIES, WHETHER EXPRESS,
 * IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE
 * COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 **********************************************************************
 * File History
 *
 * 2012-06-23, Dom-IP
 *    - Initial version
 *********************************************************************/

#ifndef BDPV_H
#define BDPV_H

enum BDPV_STATUS {
	BDPV_STANDBY=0,
	BDPV_GET_DATA,
	BDPV_MD5,
	BDPV_DNS_INI,
	BDPV_DNS,
	BDPV_HTTP_INI,
	BDPV_HTTP_REQ,
	BDPV_HTTP_RES
	};
	
	
extern enum BDPV_STATUS BDPVStatus;	//task status
extern DWORD nextBdpvUpdate;		// time of the next update
extern DWORD lastBdpvUpdate; 		// time of the last update
extern char adco[];					//ErDF meter serial number 
extern char bdpvTime[];				//ErDF meter index sampling time
extern char index[];				//ErDF meter index
extern BYTE api_sig[];				//check sum
extern BYTE BdpvHttpResp[]; 		//http response


/**
 *init bdpv 
 *
 * @param 
 */
void appcfgBdpv(void) ;

/**
 * execute bdpv processing
 *
 * @param 
 */
void appBdpv();


#endif
