/*********************************************************************
 * teleinfo.c      -  EDF Teleinfo data receptor
 * Dependencies:    
 * Processor:       PIC18
 * Complier:        MCC18 v1.00.50 or higher
 *  
 *
 *********************************************************************
 * Description
 *
 * Allows the SBC65EC to receive EDF releinformation serial data
 *
 *********************************************************************
 * File History
 *
 * 2009-06-16, Benot Sandr (BS):
 *    - Initial Version
 *
 *********************************************************************
 * Software License Agreement : according GPL 2.0 
 *
 ********************************************************************/

#include <string.h>
#include "projdefs.h"
#include "serint.h"
#include "net\tick.h"
#include "pulseCounter.h"
#include "leds.h"



DWORD pulseCounter1=0;
BYTE statusPulseCounter1=PC_STATE_0;  			// variable used to store pulse counter status
TICK16 timer;  							// Variable used to chek RX timeout

//init process
void initPulseCounter() {
		//if is input is equal to 1, start timer and update status
		if (PC_INPUT1==1) {
			statusPulseCounter1=PC_STATE_1;
			SetLeds(PULSE_LED);
		}
		else {
			statusPulseCounter1=PC_STATE_0;
			ClearLeds(PULSE_LED);
		}
}

//function used to debounce input and count pulses
BYTE processPulseCounter() {
	if (statusPulseCounter1==PC_STATE_0)  {
	
		//if is input is equal to 1, start timer and update status
		if (PC_INPUT1==1) {
			timer=TickGet16bit();
			statusPulseCounter1=PC_STATE_0_TO_1;
		}
	} else if (statusPulseCounter1==PC_STATE_0_TO_1)  {
	
		//verify input
		if (PC_INPUT1==0) statusPulseCounter1=PC_STATE_0;
		//else check timer and update status
		else if (TickGetDiff16bit(timer) > EDGE_TIMER) {
			statusPulseCounter1=PC_STATE_1;
			pulseCounter1++;
			SetLeds(PULSE_LED);
		}

	} else if (statusPulseCounter1==PC_STATE_1)  {
				//if is input is equal to 1, start timer and update status
		if (PC_INPUT1==0) {
			timer=TickGet16bit();
			statusPulseCounter1=PC_STATE_1_TO_0;
		}
	} else if (statusPulseCounter1==PC_STATE_1_TO_0)  {
		//verify input
		if (PC_INPUT1==1) {
			statusPulseCounter1=PC_STATE_1;
		}
		//else check timer and update status
		else if (TickGetDiff16bit(timer) > EDGE_TIMER) {
			statusPulseCounter1=PC_STATE_0;
			ClearLeds(PULSE_LED);
		}
	}
	return(statusPulseCounter1);
}
