/**
 * @brief           teleinfo reception
 * @file            teleinfo.h
 * @author          <a href="">Benot Sandr</a>
 * @dependencies    none
 * @compiler        MPLAB C18 v2.10 or higher <br>
 *                  HITECH PICC-18 V8.35PL3 or higher
 *
 * @section description Description
 **********************************
 * This module contains functions used to get teleinformation frame from an EDF meter
 *
 *********************************************************************/

 /*********************************************************************
 * Software License Agreement
 *
 * according GPL V2.0
 **********************************************************************
 * File History
 *
 * 2009-06-16, Benoit Sandr (DH):
 *    - Initial version
 *********************************************************************/

#ifndef PULSECOUNTER_H
#define PULSECOUNTER_H


extern DWORD pulseCounter1;
extern BYTE statusPulseCounter1;



/* Pulse Counter process state definition */

#define PC_STATE_0 0u
#define PC_STATE_0_TO_1 1u
#define PC_STATE_1 2u
#define PC_STATE_1_TO_0 3u

/* edge detection Timer . Unit is 10 ms*/
#define EDGE_TIMER 10  


#define PC_INPUT1 PORTA_RA5

/**
 * init pulse counter task
 *
 */
void initPulseCounter(void);

/**
 * Run pulse counter task
 *
 */
BYTE processPulseCounter(void);

#endif
