/**
 * @brief           leds management
 * @file            websampling.h
 * @author          <a href=""DOM-IP</a>
 * @dependencies    none
 * @compiler        MPLAB C18 v2.10 or higher <br>
 *                  HITECH PICC-18 V8.35PL3 or higher
 *
 * @section description Description
 **********************************
 * This module contains functions used for the leds management of evaluation boards
 *
 *********************************************************************/

 /*********************************************************************
 * Software License Agreement
 *
 * The software supplied herewith is owned by Dom-IP, and is
 * protected under applicable copyright laws.  The code may
 * be modified and can be used free of charge for commercial and non commercial
 * applications. All rights are reserved. Any use in violation of the foregoing
 * restrictions may subject the user to criminal sanctions under applicable laws,
 * as well as to civil liability for the breach of the terms and conditions of this license.
 *
 * THIS SOFTWARE IS PROVIDED IN AN 'AS IS' CONDITION. NO WARRANTIES, WHETHER EXPRESS,
 * IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE
 * COMPANY SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 * CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 **********************************************************************
 * File History
 *
 * 2009-06-01, Dom-IP
 *    - Initial version
 *********************************************************************/

#ifndef WEBSAMPLING_H
#define WEBSAMPLING_H

//Max count for name resolution without dns request
#define NAME_RESOLUTION_MAX_COUNT (100)
#define WS_INTERVAL 60

enum WS_STATUS {
	WS_STANDBY=0,
	WS_DNS_INI,
	WS_DNS,
	WS_TI1_INI,
	WS_TI1,
	WS_TI2_INI,
	WS_TI,
	WS_HTTP_INI,
	WS_HTTP_REQ,
	WS_HTTP_RES};

extern enum WS_STATUS WSstatus; //WebSampling task status
extern WORD httpBodyLength;
extern BYTE WsHttpResp[]; //http response

/**
 *init websampling 
 *
 * @param 
 */
void appcfgWebSampling(void);

/**
 * execute websampling processing
 *
 * @param 
 */
void appWebSampling();

#endif

